%define name xxdiff
%define version 3.1
%define release 1mdk

Summary: A graphical front end to the diff command.
Name: %name
Version: %version
Release: %release
License: GPL
Group: File tools
Source: http://prdownloads.sourceforge.net/xxdiff/%name-%version.tar.bz2
URL: http://xxdiff.sourceforge.net
Buildroot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel tmake flex bison

%description
xxdiff is a graphical browser for viewing the differences between two
files and can be used to produce a merged version.  The text of the
two or three files are presented side by side with their differences
highlighted for easy identification.

%prep
%setup -q

%build
export QTDIR=%{_libdir}/qt3
cd src
tmake xxdiff.pro > Makefile
make -j2
../bin/xxdiff --help-html > xxdiff-doc.html

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

install -c -m 755 -s bin/xxdiff ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -c -m 644 src/xxdiff.1 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/xxdiff.1

#menu
(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_prefix}/X11R6/bin/xxdiff"\
title="Xxdif"\
longtitle="Differences between two files"\
needs="x11"\
icon="development_section.png"\
section="Applications/Development/Tools"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root, root)
%doc README CHANGES
%doc src/xxdiff-doc.html
%_prefix/X11R6/bin/xxdiff
%_prefix/X11R6/man/man1/xxdiff.1*
%_menudir/*

%changelog
* Sat Nov 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- 3.1
- rename spec (breaks rpmbuilupdate)

* Wed Nov 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9-6mdk
- Rebuild 

* Tue Nov 25 2003 Marcel Pol <mpol@mandrake.org> 2.9-5mdk
- buildrequires
- more macros

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9-4mdk
- 2.9

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9-3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9-2mdk
- rebuild

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.9-1mdk
- 2.9

* Tue Sep 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- new release

* Wed Aug 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-1mdk
- add menu entry

* Wed Jul 31 2002 Austin Acton <aacton@yorku.ca> 2.6-1mdk
- specfile from Martin Blais <blais@iro.umontreal.ca>
- Mandrakize for Mandrake 8.2+
